🌍 Astrocartography API, 🔷 Human Design API and ✋ Palmistry API are now live. Ship them in your app today.

Basic Ashtakvarga

The API planet_ashtak/:planet_name takes a planet name as input and returns the ashtak varga type, planet name, sign, and sign ID along with the ashtak points of each zodiac sign. The response includes the number of points each planet has in each sign and the total number of points in each sign.
POSThttps://json.astrologyapi.com/v1/planet_ashtak/:planet_name

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Path parameters

planet_namestringrequired

Planet Name, eg: sun, moon

  • sun
  • moon
  • mars
  • mercury
  • jupiter
  • venus
  • saturn
  • rahu
  • ketu
  • ascendant

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/planet_ashtak/sun' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data — no API key needed

{
  "ashtak_varga": {
    "type": "Bhinnashtak",
    "planet": "Sun",
    "sign": "virgo",
    "sign_id": 6
  },
  "ashtak_points": {
    "aries": {
      "sun": 0,
      "moon": 0,
      "mars": 1,
      "mercury": 0,
      "jupiter": 0,
      "venus": 0,
      "saturn": 0,
      "ascendant": 0,
      "total": 1
    },
    "taurus": {
      "sun": 1,
      "moon": 1,
      "mars": 0,
      "mercury": 1,
      "jupiter": 1,
      "venus": 0,
      "saturn": 1,
      "ascendant": 1,
      "total": 6
    },
    "gemini": {
      "sun": 0,
      "moon": 0,
      "mars": 1,
      "mercury": 1,
      "jupiter": 0,
      "venus": 0,
      "saturn": 1,
      "ascendant": 1,
      "total": 4
    },
    "cancer": {
      "sun": 0,
      "moon": 0,
      "mars": 0,
      "mercury": 0,
      "jupiter": 0,
      "venus": 0,
      "saturn": 1,
      "ascendant": 1,
      "total": 2
    },
    "leo": {
      "sun": 1,
      "moon": 1,
      "mars": 0,
      "mercury": 0,
      "jupiter": 0,
      "venus": 1,
      "saturn": 1,
      "ascendant": 0,
      "total": 4
    },
    "virgo": {
      "sun": 1,
      "moon": 0,
      "mars": 1,
      "mercury": 1,
      "jupiter": 0,
      "venus": 1,
      "saturn": 1,
      "ascendant": 0,
      "total": 5
    },
    "libra": {
      "sun": 1,
      "moon": 0,
      "mars": 1,
      "mercury": 1,
      "jupiter": 0,
      "venus": 0,
      "saturn": 0,
      "ascendant": 1,
      "total": 4
    },
    "scorpio": {
      "sun": 1,
      "moon": 0,
      "mars": 1,
      "mercury": 1,
      "jupiter": 1,
      "venus": 0,
      "saturn": 1,
      "ascendant": 1,
      "total": 6
    },
    "sagittarius": {
      "sun": 1,
      "moon": 1,
      "mars": 1,
      "mercury": 1,
      "jupiter": 1,
      "venus": 0,
      "saturn": 1,
      "ascendant": 0,
      "total": 6
    },
    "capricorn": {
      "sun": 0,
      "moon": 1,
      "mars": 1,
      "mercury": 0,
      "jupiter": 0,
      "venus": 0,
      "saturn": 0,
      "ascendant": 1,
      "total": 3
    },
    "aquarius": {
      "sun": 1,
      "moon": 0,
      "mars": 0,
      "mercury": 0,
      "jupiter": 0,
      "venus": 1,
      "saturn": 1,
      "ascendant": 0,
      "total": 3
    },
    "pisces": {
      "sun": 1,
      "moon": 0,
      "mars": 1,
      "mercury": 1,
      "jupiter": 1,
      "venus": 0,
      "saturn": 0,
      "ascendant": 0,
      "total": 4
    }
  }
}